{{page-title "HttpUtils"}}
{{top-bar}}
<div class="main-panel">
      <div class="content-wrapper scroll-textarea">
        <div class="row m-auto">
          <div class="col-12 grid-margin stretch-card">
            <div class="card">
              <div class="card-body">
                <div class="forms-sample">
                  <div class="form-group">
                    <label for="encodedUri">Encoded Uri</label>
                    <textarea class="form-control text-white scroll-textarea force-overflow" id="encodedUri" rows="12" value={{this.stringList}} placeholder={{this.placeHolder}}></textarea>
                  </div>
                  <div class="form-group">
                    <label for="decodedUri">Decoded Uri</label>
                    <textarea class="form-control text-white scroll-textarea force-overflow" id="decodedUri" rows="12" value={{this.stringList}} placeholder={{this.placeHolder}}></textarea>
                  </div>
                  <button class="btn btn-primary mr-2" onclick={{action "decodeUri"}} type="button">Decode</button>
                  <button class="btn btn-primary mr-2" type="button" onclick={{action "encodeUri"}}>Encode</button>
                  <button class="btn btn-dark" type="button" onclick={{action "clear"}}>Clear</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
  </div>
{{outlet}}